package com.ekexiu.project.platform.article;

import java.sql.Connection;
import java.sql.SQLException;

import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.SetSentence;
import org.jfw.apt.orm.annotation.dao.method.Where;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.UpdateWith;

@DAO
public interface ArticleDao {

	
	@UpdateWith
	@From(Article.class)
	@Where("ACTIVED ='1'")
	@SetSentence("ACTIVED='0'")
	int invalid(Connection con,String id)throws SQLException;
	
	
	@UpdateWith
	@From(Article.class)
	@Where("ACTIVED ='0'")
	@SetSentence("ACTIVED='1'")
	int valid(Connection con,String id)throws SQLException;
	
	@DeleteWith
	@From(InvalidArticle.class)
	int delete(Connection con,String id)throws SQLException;
}
