package com.ekexiu.project.platform.system.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.project.platform.base.po.ManagedBaseTable;

@PrimaryKey("id")
@Table
public class Manager  implements ManagedBaseTable {
	private String id;
	private String account;
	private String passwd;
	private String name;
	private String phone;
	private String email;
	private String job;
	private String dep;
	private String comp;
	private boolean active;
	private String createTime;
	private String creator;
	private String modifyTime;
	private String modifier;
	private String invalidTime;
	
	private String invalidOperator;
	
	@Column(DE.id_32)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(DE.text_de)
	public String getAccount() {
		return account;
	}
	public void setAccount(String account) {
		this.account = account;
	}
	@Column(DE.text_de)
	public String getPasswd() {
		return passwd;
	}
	public void setPasswd(String passwd) {
		this.passwd = passwd;
	}
	@Column(DE.Text_de)
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	@Column(DE.Text_de)
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	@Column(DE.Text_de)
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	@Column(DE.Text_de)
	public String getJob() {
		return job;
	}
	
	public void setJob(String job) {
		this.job = job;
	}
	@Column(DE.Text_de)
	public String getDep() {
		return dep;
	}
	public void setDep(String dep) {
		this.dep = dep;
	}
	@Column(DE.Text_de)
	public String getComp() {
		return comp;
	}
	public void setComp(String comp) {
		this.comp = comp;
	}
	@Column(DE.boolean_de)
	public boolean isActive() {
		return active;
	}
	public void setActive(boolean active) {
		this.active = active;
	}
	
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getCreator() {
		return creator;
	}
	public void setCreator(String creator) {
		this.creator = creator;
	}
	public String getModifyTime() {
		return modifyTime;
	}
	public void setModifyTime(String modifyTime) {
		this.modifyTime = modifyTime;
	}
	public String getModifier() {
		return modifier;
	}
	public void setModifier(String modifier) {
		this.modifier = modifier;
	}
	@Column(DE.Text_de)
	public String getInvalidTime() {
		return invalidTime;
	}
	public void setInvalidTime(String invalidTime) {
		this.invalidTime = invalidTime;
	}
	@Column(DE.Text_de)
	public String getInvalidOperator() {
		return invalidOperator;
	}
	public void setInvalidOperator(String invalidOperator) {
		this.invalidOperator = invalidOperator;
	}
	
	
	
	
	
	

}
